Index: trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_olr_TR_eof1_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 olr=zeros(122,29,64,128);
 cd('TROP')
@@ -96,35 +99,39 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr;
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 load eof1_TR_1030.txt
 
 % on met sous la forme annee mois
-olr_eof=reshape(eof1_TR_1030,122,29); clear eof1_TR_1030;
+olr_eof=reshape(eof1_TR_1030,122,29);
+clear eof1_TR_1030;
 
 % on calcule l ecart type sur la serie temporelle de l OLR
-k=122*29; 
+k=122*29;
 olrbis=reshape(olr_eof,k,1);
-olrbis=std(olrbis); 
+olrbis=std(olrbis);
 
 % intialisation des tableaux
-olr_filtre_compomax=NaN*ones(50,31,64,128); 
+olr_filtre_compomax=NaN*ones(50,31,64,128);
 olr_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-   
-         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+
+         if (delta(b+1)<0 && delta(b)>0 && olr_eof(b,a)>(olrbis));
             compteurmax=compteurmax+1;
           olr_filtre_compomax(compteurmax,1,:,:)=olr1(b-20,a,:,:);
@@ -161,5 +168,5 @@
             olr_filtre_compomax(compteurmax,30,:,:)=olr1(b+9,a,:,:);
             olr_filtre_compomax(compteurmax,31,:,:)=olr1(b+10,a,:,:);
-   
+
          elseif (delta(b+1)>0 && delta(b)<0 && olr_eof(b,a)<(-olrbis));
             compteurmin=compteurmin+1;
@@ -200,5 +207,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 % on fait le test de Student
@@ -217,12 +224,15 @@
 
 
-olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
-olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin);
+clear olr_filtre_compomin;
+olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax);
+clear olr_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -255,5 +265,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -263,25 +273,28 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 -20 40]);
-       if e==7;      
+       if e==7;
       title('OLR composite EOF1 1030j simulation TR ','fontsize',8) ;
        end
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(1); print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part1.eps;
-
-figure(2); orient('landscape');
+figure(1);
+print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part1.eps;
+
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -314,5 +327,5 @@
        delta_olr_filtre_min(1,2)=50.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -322,11 +335,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set (co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -337,9 +351,7 @@
        text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 
-figure(2); print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part2.eps;
-
-
-
+figure(2);
+print -depsc2 composite_olr_EOF1_1030j_simulation_TR_part2.eps;
